#!/usr/bin/env python
#
# Problem EPage 410 
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
import numpy as np; from numpy import asarray, sqrt, exp 

from goldSearch import bracket, search

def f(sigma):
    return ( 27 - 18 * sigma + 2 * sigma**2 ) * exp( -sigma/3. )

xStart = 1
h = 0.1 
x1, x2 = bracket(f,xStart,h)
x, fMin = search(f,x1,x2)
print "x= ", x 
print "f(x)= ", fMin

if False: 
    xs = np.linspace( 1, 5, 200 ) 
    fs = [ f(_) for _ in xs ]
    import pylab
    pylab.plot( xs, fs )
    pylab.xlabel('sigma')
    pylab.ylabel('f')
    pylab.grid('on')
    pylab.show()

