#!/usr/bin/env python
#
# Problem EPage 62
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
import numpy as np; from numpy import dot, ones 
import scipy.linalg ; from scipy.linalg import hilbert

from LUdecomp import LUdecomp, LUsolve

n_max = 20
for n in range(3,n_max+1): 
    A_orig = hilbert(n) 
    A = A_orig.copy() 

    x_exact = ones( (n,1) ) 

    b_orig = dot(A,x_exact)
    b = b_orig.copy() 

    LUdecomp(A)
    LUsolve(A,b)
    err = np.linalg.norm( b - x_exact )
    print "n= %5d; error= %10.6f" % (n, err)
    #print "numerical solution= " % b
    if err > 1.e-6 : break 
    
