#!/usr/bin/env python
#
# Problem EPage 62
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
import numpy as np; from numpy import asarray, dot, prod, diag, transpose, mean 

from LUdecomp import LUdecomp, LUsolve

A_orig = asarray( [ [ 3.5 , 2.77, -0.76, 1.8  ], [ -1.8, 2.68, 3.44, -0.09 ], 
                    [ 0.27, 5.07,   6.9, 1.61 ], [ 1.71, 5.45, 2.68,  1.71 ] ], dtype=float )
A = A_orig.copy() 
b_orig = asarray( [ 7.31, 4.23, 13.85, 11.55 ], dtype=float ) 
b = b_orig.copy()

# Solve our system:
# 
LUdecomp(A)
LUsolve(A,b)

det_A = prod(diag(A))
mean_Aij = mean( abs( A.flatten() ) )
print "|A|= %10.6f, |A|/mean(abs(A))= %10.6f" % (det_A,mean_Aij)
print "b-Ax= %s" % (b_orig-dot(A_orig,b))

