#!/usr/bin/env python
#
# Problem EPage 62
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
import numpy as np; from numpy import asarray, dot, prod, diag, transpose 

from LUdecomp import LUdecomp, LUsolve

A_orig = asarray( [ [ 2.34, -4.10, 1.78 ], [ -1.98, 3.47, -2.22 ], [ 2.36, -15.17, 6.18 ] ], dtype=float )
A = A_orig.copy() 
b_orig = asarray( [ 0.02, -0.73, -6.63 ], dtype=float )
b = b_orig.copy()

# Solve our system:
# 
LUdecomp(A)
LUsolve(A,b)

print "Solution = ", b 
assert np.linalg.norm( dot(A_orig,b) - b_orig ) < 1.e-6
