#!/usr/bin/env python
#
# Problem EPage 88
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
import numpy as np; from numpy import asarray, prod, diag, mean, zeros 

from LUpivot import *

k_1 = 10 # N/mm
k_2 = 10
k_3 = 10  
k_4 = 5 # N/mm
k_5 = 5 
ks = asarray( [k_1,k_2,k_3,k_4,k_5], dtype=float ) 

W_1 = 100 # N
W_3 = 100
W_5 = 100 
W_2 = 50 
W_4 = 50

Ws = asarray( [W_1,W_2,W_3,W_4,W_5], dtype=float )

n = 5
A = zeros( (n,n) )
for ii in range(1,n+1):
    p_ii = ii-1 # python row index
    if ii==1: 
        A[p_ii,0] = ks[0] + ks[1]
        A[p_ii,1] = -ks[1]
    elif ii==n: 
        A[p_ii,n-2] = -ks[n-1]
        A[p_ii,n-1] = +ks[n-1] 
    else:
        A[p_ii,p_ii-1] = -ks[p_ii]
        A[p_ii,p_ii]   = ks[p_ii] + ks[p_ii+1] # diagonal element 
        A[p_ii,p_ii+1] = -ks[p_ii+1]
A = A.astype(float)
A_orig = A.copy()
b_orig = Ws.copy()

print "A_orig= ", A_orig 
print "b_orig= ", b_orig 

A,seq = LUdecomp(A)
x = LUsolve(A,Ws,seq)
print "Solution= ", x
np.linalg.norm( dot(A_orig,x) - b_orig ) < 1.e-9 
