#!/usr/bin/env python
#
# Problem EPage 133
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
from numpy import asarray, hstack
from polyFit import * 
from evalPoly import evalPoly 

# Our data:
# 
xData = asarray( [ 79, 190, 357, 524, 690 ] )
yData = asarray( [ 1.00, 0.932, 0.839, 0.759, 0.693 ] )

degree = 2 
coeff = polyFit( xData, yData, degree )
s = stdDev(coeff,xData,yData)
print "degree= %5d; sigma= %10.6f; coeff= %s" % (degree,s,coeff)


