#!/usr/bin/env python
#
# Problem EPage 221
# Example of this on EPage 216
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
from numpy import sqrt
from romberg import romberg

def f(x):
    return mu * g + (k/m) * ( mu * b + x ) * ( 1 - b / sqrt( b**2 + x**2 ) )

m = 0.8
b = 0.4
mu = 0.3
k = 80 
g = 9.81

romb = romberg(f,0,b)
I = romb[0]
v0 = sqrt( 2 * I )

print v0 




