#!/usr/bin/env python
#
# Problem EPage 360
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
import numpy as np; from numpy import asarray, sqrt, diag

from inversePower import inversePower

A = asarray( [ [ 4, -2, 1, -1 ], [ -2, 4, -2, 1 ], [ 1, -2, 4, -2 ], [ -1, 1, -2, 4 ] ], dtype=float ) 

# Estimate the eigenvalue and eigenvector of the standard form problem:
# 
lam, x = inversePower(A,s=0)
print lam, x

# Check everything: 
assert np.linalg.norm( ( np.dot(A,x) - lam * x ).flatten() ) < 1.e-4









