#!/usr/bin/env python
#
# Problem EPage 362
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
import numpy as np; from numpy import asarray, sqrt, diag, dot, zeros, identity

from jacobi import jacobi 
from sortJacobi import sortJacobi 

from LRAlgorithm import LRAlgorithm

A = asarray( [ [ 4, 3, 1 ], [ 3, 4, 2 ], [ 1, 2, 3 ] ], dtype=float )

# Implement LR algorithm here
#
LR = LRAlgorithm(A)
print "LR output= ", LR

# Check results via the jacobi method: 
#
Lam, X = jacobi(A.copy())
sortJacobi(Lam,X)
print "eigenvalues (jacobi)= ", Lam
