#!/usr/bin/env python
#
# Problem EPage 
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
import numpy as np; from numpy import asarray, diagonal 

from eigenvals3 import eigenvals3
from inversePower3 import inversePower3

BInvA = asarray( [ [  1, -1, 0 ], 
                   [ -1,  2./3, -1 ], 
                   [  0, -1   ,  1 ] ], dtype=float ) 
d = diagonal( BInvA, offset=0 ) 
c = diagonal( BInvA, offset=+1 ) 

evalues = eigenvals3(d,c,3)
print "evalues= ", evalues

# Extract the eigenvector corresponding to the lowest eigenvalue:
# 
lam_1, x_1 = inversePower3(d,c,evalues[0])
print "eigenvector of lowest eigenvalue= ", x_1 

