#!/usr/bin/env python
#
# Problem EPage 62
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
import numpy as np; from numpy import asarray, dot, prod, diag, transpose 

from LUdecomp import LUdecomp
from choleski import choleski

A_orig = asarray( [ [ 4, -1, 0 ], [ -1, 4, -1 ], [ 0, -1, 4 ] ], dtype=float )
A = A_orig.copy() 
LUdecomp(A)
print "A after LUdecomp (Doolittle)= "
print A  

L = asarray( [ [ 1,  0,  0, ], [ -0.25, 1,  0 ], [ 0,  -0.26666667,  1 ] ], dtype=float ) 
U = asarray( [ [ 4,  -1,  0 ], [ 0, 3.75,  -1 ], [ 0, 0, 3.73333333 ] ], dtype=float )
print np.linalg.norm( ( A_orig - dot(L,U) ).flatten() )

A = A_orig.copy() 
choleski(A)
print "A after Choleski= "
print A  

print  np.linalg.norm( ( dot(A,transpose(A)) - A_orig ).flatten() )
