#!/usr/bin/env python
#
# Problem EPage 62
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
import numpy as np; from numpy import asarray, dot

from gaussPivot import gaussPivot

A_orig = asarray( [ [ 27.58, 7.004, -7.004, 0.0, 0.0 ], 
                    [ 7.004, 29.57, -5.253, 0.0, -24.32 ],
                    [ -7.004, -5.235, 29.57, 0.0, 0.0 ],
                    [ 0.0, 0.0, 0.0, 27.58, -7.004 ],
                    [ 0.0, -24.32, 0.0, -7.004, 29.57 ] ], dtype=float )
b_orig = asarray( [ 0, 0, 0, 0, -45 ], dtype=float ) 
x = b_orig.copy()
gaussPivot(A_orig.copy(),x)
print "Solution= ", x
assert np.linalg.norm( dot(A_orig,x) - b_orig ) < 1.e-9
