#!/usr/bin/env python
#
# Problem EPage 87
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
import numpy as np; from numpy import asarray, tril, triu, dot 

from LUpivot import *

A = asarray( [ [ 2, -2, 0, 0, 0 ], 
               [ -2, 5, -6, 0, 0 ], 
               [ 0, -6, 16, 12, 0 ], 
               [ 0, 0, 12, 39, -6 ], 
               [ 0, 0, 0, -6, 14 ] ], dtype=float )
A_orig = A.copy()

A,seq = LUdecomp(A) # A is overwritten as L\U
L = tril( A, -1 ) # extract L 
for ii in range(L.shape[0]): L[ii,ii] = 1.0 # add in 1's on the diagonal 
U = triu( A,  0 ) # extract U 
print "L = "
print L
print "U = "
print U 
if False: 
    print "A[seq,:]= "
    print A_orig[seq,:]
    print "LU= "
    print dot(L,U) 

