#!/usr/bin/env python
#
# Problem EPage 62
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
import numpy as np; from numpy import asarray, dot

from gaussPivot import gaussPivot

A_orig = asarray( [ [ 2.34, -4.10, 1.78 ], [ -1.98, 3.47, -2.22 ], [ 2.36, -15.17, 6.81 ] ], dtype=float )
b_orig = asarray( [ 0.02, -0.73, -6.63 ], dtype=float ) 
x = b_orig.copy()
gaussPivot(A_orig.copy(),x)
print "Solution= ", x
assert np.linalg.norm( dot(A_orig,x) - b_orig ) < 1.e-9
