#!/usr/bin/env python
#
# Problem EPage 106
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
import sys
import numpy as np; from numpy import asarray, dot, identity, zeros 

from conjGrad import *

def Ax(v):
    n = len(v)
    Ax = zeros(n,dtype=float)
    Ax[0] = 4*v[0] - v[1] + v[n-1] 
    Ax[n-1] = -v[n-2] + 4*v[n-1] + v[0] 
    for ii in range(1,n-1):
        Ax[ii] = -v[ii-1] + 4*v[ii] + v[ii+1]
    return Ax
    
n = 20 
b = zeros( (n), dtype=float ); b[n-1] = 100 
x = zeros( (n), dtype=float ) 
x,numIter = conjGrad(Ax,x,b)
print "Solution to Ax=b; x= ", map( lambda _: round(_,4), x )
print "numIter= ", numIter

