#!/usr/bin/env python
#
# Problem EPage 133
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
from numpy import asarray, pi
import newtonPoly
from neville import neville
import cubicSpline 

# Our data:
# 
xData = asarray( [ 1, 2, 3, 4, 5 ] ) 
yData = asarray( [ 13, 15, 12, 9, 13 ] ) 

x_interp = 3.4

# Cubic spline interpolation:
# 
k = cubicSpline.curvatures(xData,yData)
y_interp_spline = cubicSpline.evalSpline(xData,yData,k,x_interp) 
    
print "x= %10.6f; spline= %10.6f" % (x_interp,y_interp_spline)

