#!/usr/bin/env python
#
# Problem EPage 149
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
from numpy import asarray, log, exp
from polyFit import * 
from evalPoly import evalPoly 

# Our data:
# 
xData = asarray( [ 0.5, 1.0, 1.5, 2.0, 2.5 ] )
yData = asarray( [ 0.49, 1.60, 3.36, 6.44, 10.16 ] )

lxData = log( xData ) 
lyData = log( yData ) 

coeff = polyFit( lxData, lyData, 1 )
print "coeff_hat= ", coeff
print "coeff= ", exp(coeff[0]), coeff[1]

