#!/usr/bin/env python
#
# Problem EPage 133
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
from numpy import asarray, hstack
from polyFit import * 
from evalPoly import evalPoly 

# Our data:
# 
xData = asarray( [ 0, 21.1, 37.8, 54.4, 71.1, 87.8, 100 ] )
yData = asarray( [ 1.79, 1.13, 0.696, 0.519, 0.338, 0.321, 0.296 ] )
coeff = polyFit( xData, yData, 3 )
print "coeff= ", coeff

for T in [ 10, 30, 60, 90 ]: 
    ys = evalPoly(coeff,T)
    print "T= %5.0f; mu_k(T)= %10.6f" % (T,ys[0])
