#!/usr/bin/env python
#
# Problem EPage 173
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
from numpy import linspace
from bisection import *
from newtonRaphson import *

def f(x): return x**4 + 0.9 * x**3 - 2.3 * x**2 + 3.6 * x - 25.2
def df(x): return 4 * x**3 + 2.7 * x**2 - 4.6 * x + 3.6

if __name__ == "__main__":
    if True: 
        xs = linspace( -5.0, +5.0, 100 )
        fs = [ f(_) for _ in xs ]
    
        import pylab; 
        pylab.plot( xs, fs ); 
        pylab.axhline(y=0,color='k')
        pylab.xlabel('x'); pylab.ylabel('f(x)');
        pylab.grid('on'); 
        pylab.show()

    print "Leftmost root= ", newtonRaphson( f, df, -4, -2 )
    print "Rightmost root= ", newtonRaphson( f, df, 1, 3 ) 

    


