#!/usr/bin/env python
#
# Problem EPage 173
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
from numpy import zeros, asarray, sin, cos
from newtonRaphson2 import *

def f(x): 
    f = zeros( (len(x)) )
    f[0] = sin(x[0]) + 3 * cos(x[0]) - 2 
    f[1] = cos(x[0]) - sin(x[1]) + 0.2 
    return f 

if __name__ == "__main__":
    x = asarray( [ 1., 1. ] )
    print newtonRaphson2( f, x )


