#!/usr/bin/env python
#
# Problem EPage 221
# Example of this on EPage 216
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
from numpy import sqrt, pi, sin, cos 
from romberg import romberg

def f(theta):
    return cos(theta)**2 / sqrt( r_over_a**2 - sin(theta)**2 )

r_over_a = 2.
w_over_w0 = romberg(f,0,pi/2)
print w_over_w0



