#!/usr/bin/env python
#
# Problem EPage 
#
# PYTHONPATH=../../BookCode:$PYTHONPATH
#
import numpy as np; from numpy import asarray, dot, ones, mean 

from lamRange import lamRange
from householder import householder, computeP
from inversePower3 import inversePower3
from eigenvals3 import eigenvals3

A = asarray( [ [ 6, 2, 0, 0, 0 ], 
               [ 2, 5, 2, 0, 0 ], 
               [ 0, 2, 7, 4, 0 ], 
               [ 0, 0, 4, 6, 1 ], 
               [ 0, 0, 0, 1, 3 ] ], dtype=float ) 

n = 5

d = ones( (n,1), dtype=float ) 
d[0] = 6.
d[1] = 5.
d[2] = 7.
d[3] = 6.
d[4] = 3.

c = 2. * ones( (n-1,1), dtype=float ) 
c[2] = 4.
c[3] = 1.

print eigenvals3(d,c,5)

